absolinux

Sujet : problème de configure de binutils
posté par helly 31 messages     le  08-09-2009  à  12:04citer
Bonjour bonjour c'est encore moi ^^ (distro ubuntu, LFS 6.5 chapitre 5.4.1)

Suite a mon problème de make au niveau glibc j'ai essayé de tout reprendre depuis le début, et puis au moement de faire le config de binutils , POUF :
"checking for C compiler default output file name... configure: error: in `/mnt/lfs/sources/binutils-build':
configure: error: C compiler cannot create executables
"

alors donc voila le contenu de config.log:
http://dl.free.fr/vAwBHApyY

(dsl je l'envoie par lien vu la longueur du fichier :s)

dites moi donc ce que vous en pensez !! :)
posté par Texou 271 messages     le  08-09-2009  à  13:10citer
Euh ça c'est qu'il te manque des outils en principe. Genre un build-essential... Vérifie que tu satisfais bien les prérequis du hôte (chapitre 1). Bizarre si t'a compilé déjà sur cet hôte mais bon. Revérifie.

Bon courage et tiens nous au courant

_______________________

Texou
Coadministrateur du projet absolinux
Président de l'association traduc.org
Coordinateur du projet Linux From Scratch
Coordinateur au sein du projet Trad GNU de l'April
Animateur suppléant du groupe de travail Accessibilité de l'April
posté par helly 31 messages     le  08-09-2009  à  13:42citer
bha pinaise j'ai pas l'air conne ^^' ca marche toujours pas .. pourtant j'ai bien téléchargé la liste des prérequis =>
"
Bash-2.05a (/bin/sh devrait être un lien symbolique ou physique vers bash)
Binutils-2.12 (les versions supérieure à 2.19.1 ne sont pas recommandées car elles n'ont pas été testées)
Bison-1.875 (/usr/bin/yacc devrait être un lien vers bison ou un petit script qui exécute bison)
Bzip2-1.0.2
Coreutils-5.0 (ou Sh-Utils-2.0, Textutils-2.0 et Fileutils-4.1)
Diffutils-2.8
Findutils-4.1.20
Gawk-3.0 (/usr/bin/awk devrait être un lien vers gawk)
Gcc-3.0.1 (les versions supérieures à 4.4.1 ne sont pas recommandées car elles n'ont pas été testées)
Glibc-2.2.5 (les versions supérieures à 2.10.1 ne sont pas recommandées car elles n'ont pas été testées)
Grep-2.5
Gzip-1.2.4
Noyau Linux 2.6.18 (compilé avec GCC-3.0 ou supérieur)
M4-1.4
Make-3.79.1
Patch-2.5.4
Perl-5.6.0
Sed-3.0.2
Tar-1.14
Texinfo-4.8
"

c'est bien ca la liste non??
bizare y'a pas build-essential ... (je l'ai quand même déja d'installé^^)
posté par helly 31 messages     le  08-09-2009  à  21:42citer
bon ca y est , au moins CE problème la est règlé ;) j'ai formaté et réinstallé linux (les grands moyens , mais ca marche :D)
posté par Texou 271 messages     le  08-09-2009  à  21:50citer
En effet t'y vas pas par 4 chemins :) Bon c'est bourrin mais oui ça marche. Ca venait sûrement de l'hôte en plus. Bien que bizarre.

Bon courage pour la suite. Hésite pas si tu as un futur besoin.

++

_______________________

Texou
Coadministrateur du projet absolinux
Président de l'association traduc.org
Coordinateur du projet Linux From Scratch
Coordinateur au sein du projet Trad GNU de l'April
Animateur suppléant du groupe de travail Accessibilité de l'April
posté par helly 31 messages     le  08-09-2009  à  22:10citer
si si la suite c'est mon sujet sur glibc :p
posté par helly 31 messages     le  08-09-2009  à  22:12citer
mais je vois peu etre d'ou viens mon problème!!
dans le chapitre 5.4.1 , ils parlent de "détarer" gmp et mpfr ... mais on les laisse dans /mnt/lfs/source , ou il faut les mettre ailleurs?? :O
posté par Texou 271 messages     le  08-09-2009  à  22:19citer
Salut,

Je Reprends ce sujet (et réponds à ta question) sur le topic approprié.

_______________________

Texou
Coadministrateur du projet absolinux
Président de l'association traduc.org
Coordinateur du projet Linux From Scratch
Coordinateur au sein du projet Trad GNU de l'April
Animateur suppléant du groupe de travail Accessibilité de l'April
posté par helly 31 messages     le  08-09-2009  à  22:23citer
ok pas de soucis mais après avoir bien recherché,c'est bon j'ai trouvé que gmp et mpfr se placaient dans gcc-4...
ce qu'il manque au forum ,c'est un moyen de supprimer les messages qu'on a écris ^^
posté par Texou 271 messages     le  08-09-2009  à  22:26citer
cool si t'a trouvé. Pas de panique j'ai mis glibc sur la réponse de l'autre topic mais c'est pareil, c'est bien gcc (ya qu'à suivre le livre).

Pour supprimer les messages, seuls les modo le font et peuvent les déplacer. Ils s'en chargeront :)

++

_______________________

Texou
Coadministrateur du projet absolinux
Président de l'association traduc.org
Coordinateur du projet Linux From Scratch
Coordinateur au sein du projet Trad GNU de l'April
Animateur suppléant du groupe de travail Accessibilité de l'April




répondre